@import 'variables.scss';

table {
  width: calc(100% - 20px);
  min-width: 1080px;
  border-spacing: 0;
  border-radius: 6px;
  overflow: hidden;

  thead {
    width: 100%;
    height: 40px;
    background: $blue-primary;

    tr {
      width: 100%;
      height: 40px;

      th {
        width: 14.285%;

        .title-table {
          display: block;
          width: 95%;
          font-size: 14px;
          font-weight: bold;
          color: $white-text-color;
        }

        .material-icons {
          font-size: 12px;
          color: $white-text-color;
          cursor: pointer;
          vertical-align: middle;
        }

        &:nth-child(1) {
          padding-right: 50px;
          text-align: right;
        }

        &:nth-child(7) {
          text-align: left;
          padding-left: 50px;
        }
      }
    }
  }

  tbody {
    tr {
      width: 100%;
      height: 40px;
      background: $white-text-color;

      td {
        border-bottom: 1px solid rgba(41, 43, 44, 0.2);
        text-align: center;

        &:nth-child(1) {
          padding-right: 50px;
          text-align: right;
        }

        &:nth-child(7) {
          padding-left: 50px;
          text-align: left;
        }

        .num-table {
          display: block;
          font-size: 14px;
          color: $gray-darker;

          &.blue {
            font-weight: bold;
            color: $blue-primary;
          }
          &.red {
            color: red;
          }
        }

        .sub-num {
          font-size: 10px;
          color: rgba(41, 43, 44, 0.5);
        }
      }

      &:last-child {
        td {
          border-bottom: 1px solid none;
        }
      }
    }
  }
}
